> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List Of Conversations By Contact Id

> Get the list of Conversations linked to a **contact_id**



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/conversation/by-contact/{contact_id}
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/conversation/by-contact/{contact_id}:
    get:
      tags:
        - Conversation
      summary: Get List Of Conversations By Contact Id
      description: Get the list of Conversations linked to a **contact_id**
      operationId: >-
        get_list_of_conversations_by_contact_id_api_v1_conversation_by_contact__contact_id__get
      parameters:
        - name: contact_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Contact Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponsePaginated_IConversationRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponsePaginated_IConversationRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: ''
        meta:
          additionalProperties: true
          type: object
          title: Meta
          default: {}
        data:
          $ref: '#/components/schemas/PageBase_IConversationRead_'
      type: object
      required:
        - data
      title: IGetResponsePaginated[IConversationRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PageBase_IConversationRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/IConversationRead'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Total
        page:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Page
        size:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Size
        pages:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Pages
        previous_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Previous Page
          description: Page number of the previous page
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
          description: Page number of the next page
      type: object
      required:
        - items
        - total
        - page
        - size
      title: PageBase[IConversationRead]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IConversationRead:
      properties:
        widget_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Widget Id
        assistant_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Assistant Id
        device_type:
          anyOf:
            - $ref: '#/components/schemas/IDeviceTypeEnum'
            - type: 'null'
        unique_device_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Unique Device Id
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        contact_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Contact Id
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        first_message:
          anyOf:
            - type: string
            - type: 'null'
          title: First Message
        chat_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Chat Count
      type: object
      required:
        - device_type
        - id
        - created_at
        - first_message
        - chat_count
      title: IConversationRead
    IDeviceTypeEnum:
      type: string
      enum:
        - mobile
        - native
        - desktop
        - tablet
        - phone
      title: IDeviceTypeEnum
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````